boost::geometry::strategy::within::winding_calculate_count< Point, CalculationType, cartesian_tag > Struct Template Reference

List of all members.

## Public Types

typedef CalculationType | calc_t

## Static Public Member Functions

static int | apply (calc_t const &p, calc_t const &s1, calc_t const &s2, bool eq1, bool eq2)

### template<typename Point, typename CalculationType>
struct boost::geometry::strategy::within::winding_calculate_count< Point, CalculationType, cartesian_tag >

## Member Typedef Documentation

template<typename Point , typename CalculationType >

typedef CalculationType boost::geometry::strategy::within::winding_calculate_count< Point, CalculationType, cartesian_tag >::calc_t

## Member Function Documentation

template<typename Point , typename CalculationType >

static int boost::geometry::strategy::within::winding_calculate_count< Point, CalculationType, cartesian_tag >::apply | ( | calc_t const & | p,
|  | calc_t const & | s1,
|  | calc_t const & | s2,
|  | bool | eq1,
|  | bool | eq2
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK